# This spec file has been automatically updated
Version:        180
Release:        1%{?dist}
Name: cockpit-ostree
BuildArch: noarch
Summary: Cockpit user interface for rpm-ostree
License: LGPLv2+
Requires: cockpit-bridge >= 125
Requires: cockpit-system >= 125
# On RHEL Atomic 7, the package name is different (curiously not on CentOS Atomic)
%if 0%{?rhel} == 7
Requires: rpm-ostree-client
%else
Requires: rpm-ostree
%endif

# Download from https://github.com/cockpit-project/cockpit-ostree/releases
Source: cockpit-ostree-%{version}.tar.gz

%description
Cockpit component for managing software updates for ostree based systems.

%prep
%setup -n cockpit-ostree

%install
%make_install

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs rm --verbose

%files
%{_datadir}/cockpit/*

%changelog
* Wed Nov 27 2019 Martin Pitt <martin@piware.de> - 180-1

- timeline: Use PF4 inspired background color
- NPM dependency updates

